clc
clear
close all

N = 2500000;
h = 0.00001; % s
l = 1; 
g = 9.8; % m/s^2
b = .5; 

t = zeros(1, N);
theta1 = zeros(1, N);
theta2 = zeros(1, N);
t_k = zeros(1, N);
theta1_k = zeros(1, N);
theta2_k = zeros(1, N);

t(1) = 0;
theta1(1) = 0.5;
theta2(1) = 0;



for index=2:N
    theta1(index) = theta1(index-1) + h*theta2(index-1);
    theta2(index) = theta2(index-1) - h*(g/l*sin(theta1(index-1)));
    t(index) = t(index-1) + h;
end

t_k(1) = 0;
theta1_k(1) = 0.5;
theta2_k(1) = 0;

for index=2:N
    theta1_k(index) = theta1_k(index-1) + h*theta2_k(index-1);
    theta2_k(index) = theta2_k(index-1) - h*(g/l*sin(theta1_k(index-1)) ...
        + b*theta2_k(index-1));
    t_k(index) = t_k(index-1) + h;
end

figure Name 'no air friction' NumberTitle off
hold on
plot(t, theta1, 'b')
xlabel('time (s)')
ylabel('angle (rad)')
title('angle - time')
plot(t, theta2, 'r')
xlabel('time (s)')
ylabel('angular velocity (rad/s)')
title('angular velocity - time')

figure Name 'with air friction' NumberTitle off
plot(t_k, theta1_k, 'b')
xlabel('time (s)')
ylabel('angle (rad)')
title('angle - time')
hold on 
plot(t_k, theta2_k, 'r')
xlabel('time (s)')
ylabel('angular velocity (rad/s)')
title('angular velocity - time')
hold on


figure Name 'Measured Data' NumberTitle off;
plot3(t, theta1, theta2, 'b')
xlabel('time (s)')
ylabel('angle (rad)')
zlabel('angular velocity (rad/s)')
hold on
plot3(t_k, theta1_k, theta2_k, 'r')
xlabel('time (s)')
ylabel('angle (rad)')
zlabel('angular velocity (rad/s)')
hold on

